# PartViewer Class Reference
[Spring-like webflow tools]

List of all members.

## Public Member Functions

| __construct (ViewResolver $resolver, $model=null)
| view ($partName, $model=null)
| partExists ($partName)
| getModel ()

## Protected Attributes

| $viewResolver = null
| $model = null

## Detailed Description

Definition at line 15 of file PartViewer.class.php.

## Constructor & Destructor Documentation

PartViewer::__construct | ( | ViewResolver $ | resolver,
|  | $ | model = `null` |
| ) |  |  |

Definition at line 20 of file PartViewer.class.php.

References $model.

## Member Function Documentation

PartViewer::getModel | ( |  | ) |

Returns:
  Model

Definition at line 68 of file PartViewer.class.php.

PartViewer::partExists | ( | $ | partName | ) |

Definition at line 60 of file PartViewer.class.php.

PartViewer::view | ( | $ | partName,
|  | $ | model = `null` |
| ) |  |  |

Returns:
  PartViewer

Definition at line 29 of file PartViewer.class.php.

References $model, and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

PartViewer::$model = null`[protected]`

Definition at line 18 of file PartViewer.class.php.

Referenced by __construct(), and view().

PartViewer::$viewResolver = null`[protected]`

Definition at line 17 of file PartViewer.class.php.

The documentation for this class was generated from the following file:

- main/Flow/PartViewer.class.php